# Package test OneStartup

  **onestartup/crm** is a module to manipulate the information that arrives through the forms of our project

# Installation

- Run this in the terminal

```
	composer require onestartup/crm
```

- after add the ServiceProvider to the providers array in config/app.php

```
	Onestartup\Crm\CrmListServiceProvider::class,
```

- Run migration

```
	php artisan migrate
```

- add next lines to app/User.php

```
	public function tracings()
	{
	    return $this->hasMany('Onestartup\Crm\Tracing', 'user_id');
	}
```

- add next lines to app/Interested.php

```
	public function tracings()
	{
	    return $this->hasMany('Onestartup\Crm\Tracing', 'interested_id');
	}
```

- for version 0.0.7 install plugin buttons datatable in base project
```
	https://yajrabox.com/docs/laravel-datatables/master/buttons-installation
```

- run serv
```php
	php artisan serve
```
- test in this route how admin user

```php
	http://localhost:8000/admin/crm
```